Skip to content

Resolve or create the projection row that wraps one concrete source record.

POST
/api/workspace/entity/{entityIdOrKey}/projection/wrap-source
curl --request POST \
--url https://example.com/api/workspace/entity/example/projection/wrap-source \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "SourceEntityDefinitionId": "example", "SourceInstanceId": "example", "OperationKey": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'
entityIdOrKey
required
string

Projection entity definition identifier or normalized key.

access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Concrete source record identifier to wrap.

Request payload to resolve or create a projection row for a concrete source record.

object
SourceEntityDefinitionId
string
nullable
SourceInstanceId
string
nullable
OperationKey
string format: uuid
Examplegenerated
{
"SourceEntityDefinitionId": "example",
"SourceInstanceId": "example",
"OperationKey": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}

OK

Media typeapplication/json
object
Data

Projection row resolved for one concrete source row and ready to store as a reference value.

object
ProjectionEntityDefinitionId
string
nullable
ProjectionInstanceId
string
nullable
SourceEntityDefinitionId
string
nullable
SourceInstanceId
string
nullable
ReferenceFieldId
string
nullable
Reference

Compact runtime payload for one resolved or unresolved entity reference.

object
State
integer format: int32
Allowed values: 0 1 2
Id

Linked entity identifier when resolved.

string
nullable
Number

Linked entity number when resolved.

string
nullable
DisplayName

Linked entity display name from the presentation cache when resolved.

string
nullable
Subtitle

Linked entity subtitle from the presentation cache when resolved.

string
nullable
ProjectedValues

Projected primary-field scalar values and requested nested reference values keyed by target field key when resolved.

object
key
additional properties
nullable
EntityDefinitionId

Linked entity definition identifier when resolved.

string
nullable
ProjectedPlainTextPreviews

Compact server-created previews for projected Markdown fields, keyed by target field key.

object
key
additional properties

Safe compact visible-text representation of a Markdown value.

object
Text

Visible text when available.

string
nullable
IsTruncated

Whether the visible text was shortened for compact presentation.

boolean
State
integer format: int32
Allowed values: 0 1 2 3
SemanticPresentation

Safe compact reference metadata, projected only for a resolved visible Entity reference.

object
UsageType
integer format: int32
Allowed values: 0 1 2
SemanticType
string
nullable
LinkRegistrationKey
string
nullable
CellRegistrationKey
string
nullable
Created
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Reference": {
"State": 0,
"ProjectedPlainTextPreviews": {
"additionalProperty": {
"State": 0
}
},
"SemanticPresentation": {
"UsageType": 0
}
}
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Projection row resolved for one concrete source row and ready to store as a reference value.

object
ProjectionEntityDefinitionId
string
nullable
ProjectionInstanceId
string
nullable
SourceEntityDefinitionId
string
nullable
SourceInstanceId
string
nullable
ReferenceFieldId
string
nullable
Reference

Compact runtime payload for one resolved or unresolved entity reference.

object
State
integer format: int32
Allowed values: 0 1 2
Id

Linked entity identifier when resolved.

string
nullable
Number

Linked entity number when resolved.

string
nullable
DisplayName

Linked entity display name from the presentation cache when resolved.

string
nullable
Subtitle

Linked entity subtitle from the presentation cache when resolved.

string
nullable
ProjectedValues

Projected primary-field scalar values and requested nested reference values keyed by target field key when resolved.

object
key
additional properties
nullable
EntityDefinitionId

Linked entity definition identifier when resolved.

string
nullable
ProjectedPlainTextPreviews

Compact server-created previews for projected Markdown fields, keyed by target field key.

object
key
additional properties

Safe compact visible-text representation of a Markdown value.

object
Text

Visible text when available.

string
nullable
IsTruncated

Whether the visible text was shortened for compact presentation.

boolean
State
integer format: int32
Allowed values: 0 1 2 3
SemanticPresentation

Safe compact reference metadata, projected only for a resolved visible Entity reference.

object
UsageType
integer format: int32
Allowed values: 0 1 2
SemanticType
string
nullable
LinkRegistrationKey
string
nullable
CellRegistrationKey
string
nullable
Created
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Reference": {
"State": 0,
"ProjectedPlainTextPreviews": {
"additionalProperty": {
"State": 0
}
},
"SemanticPresentation": {
"UsageType": 0
}
}
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
Data

Projection row resolved for one concrete source row and ready to store as a reference value.

object
ProjectionEntityDefinitionId
string
nullable
ProjectionInstanceId
string
nullable
SourceEntityDefinitionId
string
nullable
SourceInstanceId
string
nullable
ReferenceFieldId
string
nullable
Reference

Compact runtime payload for one resolved or unresolved entity reference.

object
State
integer format: int32
Allowed values: 0 1 2
Id

Linked entity identifier when resolved.

string
nullable
Number

Linked entity number when resolved.

string
nullable
DisplayName

Linked entity display name from the presentation cache when resolved.

string
nullable
Subtitle

Linked entity subtitle from the presentation cache when resolved.

string
nullable
ProjectedValues

Projected primary-field scalar values and requested nested reference values keyed by target field key when resolved.

object
key
additional properties
nullable
EntityDefinitionId

Linked entity definition identifier when resolved.

string
nullable
ProjectedPlainTextPreviews

Compact server-created previews for projected Markdown fields, keyed by target field key.

object
key
additional properties

Safe compact visible-text representation of a Markdown value.

object
Text

Visible text when available.

string
nullable
IsTruncated

Whether the visible text was shortened for compact presentation.

boolean
State
integer format: int32
Allowed values: 0 1 2 3
SemanticPresentation

Safe compact reference metadata, projected only for a resolved visible Entity reference.

object
UsageType
integer format: int32
Allowed values: 0 1 2
SemanticType
string
nullable
LinkRegistrationKey
string
nullable
CellRegistrationKey
string
nullable
Created
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Reference": {
"State": 0,
"ProjectedPlainTextPreviews": {
"additionalProperty": {
"State": 0
}
},
"SemanticPresentation": {
"UsageType": 0
}
}
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Not Found

Media typeapplication/json
object
Data

Projection row resolved for one concrete source row and ready to store as a reference value.

object
ProjectionEntityDefinitionId
string
nullable
ProjectionInstanceId
string
nullable
SourceEntityDefinitionId
string
nullable
SourceInstanceId
string
nullable
ReferenceFieldId
string
nullable
Reference

Compact runtime payload for one resolved or unresolved entity reference.

object
State
integer format: int32
Allowed values: 0 1 2
Id

Linked entity identifier when resolved.

string
nullable
Number

Linked entity number when resolved.

string
nullable
DisplayName

Linked entity display name from the presentation cache when resolved.

string
nullable
Subtitle

Linked entity subtitle from the presentation cache when resolved.

string
nullable
ProjectedValues

Projected primary-field scalar values and requested nested reference values keyed by target field key when resolved.

object
key
additional properties
nullable
EntityDefinitionId

Linked entity definition identifier when resolved.

string
nullable
ProjectedPlainTextPreviews

Compact server-created previews for projected Markdown fields, keyed by target field key.

object
key
additional properties

Safe compact visible-text representation of a Markdown value.

object
Text

Visible text when available.

string
nullable
IsTruncated

Whether the visible text was shortened for compact presentation.

boolean
State
integer format: int32
Allowed values: 0 1 2 3
SemanticPresentation

Safe compact reference metadata, projected only for a resolved visible Entity reference.

object
UsageType
integer format: int32
Allowed values: 0 1 2
SemanticType
string
nullable
LinkRegistrationKey
string
nullable
CellRegistrationKey
string
nullable
Created
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Reference": {
"State": 0,
"ProjectedPlainTextPreviews": {
"additionalProperty": {
"State": 0
}
},
"SemanticPresentation": {
"UsageType": 0
}
}
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Conflict

Media typeapplication/json
object
Data

Projection row resolved for one concrete source row and ready to store as a reference value.

object
ProjectionEntityDefinitionId
string
nullable
ProjectionInstanceId
string
nullable
SourceEntityDefinitionId
string
nullable
SourceInstanceId
string
nullable
ReferenceFieldId
string
nullable
Reference

Compact runtime payload for one resolved or unresolved entity reference.

object
State
integer format: int32
Allowed values: 0 1 2
Id

Linked entity identifier when resolved.

string
nullable
Number

Linked entity number when resolved.

string
nullable
DisplayName

Linked entity display name from the presentation cache when resolved.

string
nullable
Subtitle

Linked entity subtitle from the presentation cache when resolved.

string
nullable
ProjectedValues

Projected primary-field scalar values and requested nested reference values keyed by target field key when resolved.

object
key
additional properties
nullable
EntityDefinitionId

Linked entity definition identifier when resolved.

string
nullable
ProjectedPlainTextPreviews

Compact server-created previews for projected Markdown fields, keyed by target field key.

object
key
additional properties

Safe compact visible-text representation of a Markdown value.

object
Text

Visible text when available.

string
nullable
IsTruncated

Whether the visible text was shortened for compact presentation.

boolean
State
integer format: int32
Allowed values: 0 1 2 3
SemanticPresentation

Safe compact reference metadata, projected only for a resolved visible Entity reference.

object
UsageType
integer format: int32
Allowed values: 0 1 2
SemanticType
string
nullable
LinkRegistrationKey
string
nullable
CellRegistrationKey
string
nullable
Created
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Reference": {
"State": 0,
"ProjectedPlainTextPreviews": {
"additionalProperty": {
"State": 0
}
},
"SemanticPresentation": {
"UsageType": 0
}
}
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}